Subject: [MBONED] comments on draft-ietf-mboned-driad-amt-discovery-01

From: <[email-masked]>
Date: Fri, 1 Mar 2019 17:20:50 +0800 (CST)

Hi Jake,

I read this draft. From my side it is well-written and clear. Thank you!

I have a small question about section 3.1.1. If the AMT relay can be set in a border router as a component?

Best regards,

Sandy

原始邮件

发件人：Holland,Jake <[email-masked]>
收件人：[email-masked] <[email-masked]>;
日 期 ：2019年02月15日 06:56
主 题 ：Re: [MBONED] I-D Action:draft-ietf-mboned-driad-amt-discovery-01.txt

Hi mboned,

I have submitted a new version of the driad draft:
https://tools.ietf.org/html/draft-ietf-mboned-driad-amt-discovery-01

It has my attempts to address all the issues discussed so far, most
notably those from the recent discussion with Mikael.  There are also
a few editorial changes and the change of the RRType to use the newly
assigned value, 260:
https://www.iana.org/assignments/dns-parameters/dns-parameters.xhtml#dns-parameters-4

Please review the changes if you get a chance, and send comments
and questions if you have them.

Here are the remaining issues I'm aware of:
- flesh out security considerations
- get a DNS-SD expert to review
- probably also get a Happy Eyeballs expert to review

Best,
Jake

On 2019-02-14, 14:45, "[email-masked]" <[email-masked]> wrote:

    A New Internet-Draft is available from the on-line Internet-Drafts directories.
    This draft is a work item of the MBONE Deployment WG of the IETF.
    
            Title           : DNS Reverse IP AMT Discovery
            Author          : Jake Holland
        Filename        : draft-ietf-mboned-driad-amt-discovery-01.txt
        Pages           : 31
        Date            : 2019-02-14
    
    Abstract:
       This document updates RFC 7450 (Automatic Multicast Tunneling, or
       AMT) by extending the relay discovery process to use a new DNS
       resource record named AMTRELAY when discovering AMT relays for
       source-specific multicast channels.  The reverse IP DNS zone for a
       multicast sender's IP address is configured to use AMTRELAY resource
       records to advertise a set of AMT relays that can receive and forward
       multicast traffic from that sender over an AMT tunnel.

    The IETF datatracker status page for this draft is:
    https://datatracker.ietf.org/doc/draft-ietf-mboned-driad-amt-discovery/
    
    There are also htmlized versions available at:
    https://tools.ietf.org/html/draft-ietf-mboned-driad-amt-discovery-01
    https://datatracker.ietf.org/doc/html/draft-ietf-mboned-driad-amt-discovery-01
    
    A diff from the previous version is available at:
    https://www.ietf.org/rfcdiff?url2=draft-ietf-mboned-driad-amt-discovery-01

    Please note that it may take a couple of minutes from the time of submission
    until the htmlized version and diff are available at tools.ietf.org.
    
    Internet-Drafts are also available by anonymous FTP at:
    ftp://ftp.ietf.org/internet-drafts/
    
    _______________________________________________
    MBONED mailing list
    [email-masked]
    https://www.ietf.org/mailman/listinfo/mboned

_______________________________________________
MBONED mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mboned

---

From: "Holland, Jake" <[email-masked]>
Date: Fri, 1 Mar 2019 17:50:11 +0000

Hi Sandy,

Thanks for the feedback, much appreciated.

I don’t think it would make sense in the example in section 3.1.1 to have an AMT relay in the border router, because the relay needs to receive native multicast in order to forward it.

If the border router (and its embedded AMT relay) is natively receiving multicast from an upstream source outside the network in that scenario, no AMT is necessary, and the traffic would just be natively forwarded from the border router without tunneling.

Did you mean to ask whether the AMT gateway in section 3.1.1 can be component of the border router instead of an external device?  If so, the answer is yes--that would be a very similar example network to the one drawn.

HTH.

-Jake

From: "[email-masked]" <[email-masked]>
Date: 2019-03-01 at 01:21
To: "Holland, Jake" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Subject: [MBONED] comments on draft-ietf-mboned-driad-amt-discovery-01

Hi Jake,

Best regards,

Sandy

原始邮件

Best,
Jake

    Abstract:

---

From: <[email-masked]>
Date: Mon, 4 Mar 2019 09:33:22 +0800 (CST)

Hi Jake,

Yes. I mean if the AMT gateway can be component of the border router instead of an external device. It's a clerical error. Sorry! :P

Thank you very much for your respond! This darft is very useful for multicast deployment. :-)

Sandy

原始邮件

发件人：Holland,Jake <[email-masked]>
收件人：张征00007940;
抄送人：[email-masked] <[email-masked]>;
日 期 ：2019年03月02日 01:55
主 题 ：Re: [MBONED] comments on draft-ietf-mboned-driad-amt-discovery-01

Hi Sandy,

 

 

 

 

HTH.

-Jake

 

Hi Jake,

 

Best regards,

Sandy

原始邮件

日 期 ：2019年02月15日 06:56

Hi mboned,

 

 Best,
 Jake

     
     
     Abstract: